#ifndef Q_BORDER_LABEL_H
#define Q_BORDER_LABEL_H

#include <QLabel>

class QBorderLabel : public QLabel
{
    Q_OBJECT

public:
    QBorderLabel(QWidget *parent);
    ~QBorderLabel();

    void SetActive(bool val);

Q_SIGNALS:
    void resize(QBorderLabel*);
private:
    bool active_;
    
protected:
    virtual void resizeEvent(QResizeEvent *);

    virtual void paintEvent(QPaintEvent *);
    
};

#endif // Q_BORDER_LABEL_H
